Package Gnumed :: Package wxpython :: Module gmEMRBrowser :: Class cSplittedEMRTreeBrowserPnl |
[frames] | no frames]

# Class cSplittedEMRTreeBrowserPnl

source code

                                                                wx.Panel --+
                                                                           |
    wxGladeWidgets.wxgSplittedEMRTreeBrowserPnl.wxgSplittedEMRTreeBrowserPnl --+
                                                                               |
                                                                              cSplittedEMRTreeBrowserPnl

A splitter window holding an EMR tree.

The left hand side displays a scrollable EMR tree while on the right details for selected items are displayed.

Expects to be put into a Notebook.

Instance Methods
__init__(self, *args, **kwds) | source code
repopulate_ui(self) Fills UI with data. | source code
enable_display_mode_selection(self, enable) | source code

Class Variables
| editing = `property(_get_editing, _set_editing)`

Method Details

### __init__(self, *args, **kwds) (Constructor) | source code
Overrides: wxGladeWidgets.wxgSplittedEMRTreeBrowserPnl.wxgSplittedEMRTreeBrowserPnl.__init__